<?php
/**
* @version		$Id: router.php 10711 2008-08-21 10:09:03Z eddieajau $
* @package		Joomla
* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* Joomla! is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/

function IpricecalcBuildRoute(&$query)
{

	$segments = array();
/*	var_dump( $query);*/
	
	$menu = &JSite::getMenu();
	$Itemid = 0;
	$mView = null;
	$mLayout = null;
/*		if (isset($query['view']) && $query['view']=='basket')
			var_dump( $query);		
*/	
	if (isset($query['Itemid'])) {

		$Itemid= $query['Itemid'];
		$menuItem = &$menu->getItem($Itemid);
		$mView	= (empty($menuItem->query['view'])) ? null : $menuItem->query['view'];
		$mLayout	= (empty($menuItem->query['layout'])) ? null : $menuItem->query['layout'];
		/*
		if (isset($query['view'])) {
			$segments[] = $query['view'];
			unset($query['view']);
		}
		*/
		if (isset($query['view'])) {
			if (!empty($menuItem->query['view']) && $query['view']!==$menuItem->query['view'])
				$segments[] = 'view'.$query['view'];
			unset($query['view']);
		}
		if (isset($query['layout'])) 
			unset($query['layout']);
			
	    if (isset($query['isecid'])) {
	        $segments[] = $query['isecid'];
	        unset($query['isecid']);
	    }
	
	    if (isset($query['icatid'])) {
	        $segments[] = $query['icatid'];
	        unset($query['icatid']);
	    }
	} else {

		if(isset($query['view']))
		{
			$segments[] = $query['view'];
			unset($query['view']);
		}

		if(isset($query['layout']))
		{
			$segments[] = $query['layout'];
			unset($query['layout']);
		}
	    if (isset($query['isecid'])) {
	        $segments[] = $query['isecid'];
	        unset($query['isecid']);
	    }
	
	    if (isset($query['icatid'])) {
	        $segments[] = $query['icatid'];
	        unset($query['icatid']);
	    }
	
	}
	return $segments;
}

function IpricecalcParseRoute($segments)
{
	$vars = array();

	//Get the active menu item
	$menu =& JSite::getMenu();
	$item =& $menu->getActive();

	// Count route segments
	$count = count($segments);

	if(!isset($item))
	{

		if (isset($segments[0]))
			$vars['view']  = $segments[0];
		else
			$vars['view']  = 'price';
		$vars['layout']    = 'default';
		
		if (isset($segments[1])) {
			$vars['isecid']   = $segments[1];
		}
		if (isset($segments[2])) {
			$vars['icatid']   = $segments[2];
		}

		return $vars;
	}

	//Handle View and Identifier

/*			if(isset($segments[0]))
				$vars['view']    = $segments[0]; */
			$idx = 0;
			if(isset($segments[$idx])) {
				if (substr($segments[$idx],0,4)==='view') {
					$vars['view']    = substr($segments[0],4,strlen($segments[$idx]) ); 
					$idx++;
				}
				else
					$vars['view']    = $item->query['view'];
			}

			if(isset($item->query['layout']))			
				$vars['layout']    = $item->query['layout'];
	
			if (isset($segments[$idx])) {
				$vars['isecid']   = $segments[$idx];
				$idx++;
			}
			if (isset($segments[$idx])) {
				$vars['icatid']   = $segments[$idx];
			}

    if (isset($item->id)) {
        $vars['Itemid'] = $item->id;
    }

	return $vars;
}
