<?php

/**
* @version		$ 1.2 2009-10$
* @package		Joomla
* @subpackage	IPricecalc
* @copyright	Copyright (C) 2009 LoT studio group. All rights reserved.
* @license		The commercial licence http://www.lot-studio.ru/license-ipricecalc
*/

defined( '_JEXEC' ) or die( 'Restricted access' );

?>
<script language="javascript" type="text/javascript">

function form_hasValue(object, obj_type, optional_1, optional_2, optional_3) {
	switch (obj_type) {
		case "TEXT":
			if (object.value.length < 5) {return false;}
			return true;
		case "PASSWORD":
			if (object.value.length == 0) {return false;}
			return true;
		case "EMAIL":
			if (object.value.search(/^\w+((-\w+)|(\.\w+))*\@[A-Za-z0-9]+((\.|-)[A-Za-z0-9]+)*\.[A-Za-z0-9]+$/) == -1) {return false;}
			return true;
		case "TEXTAREA":
			if (object.value.length < 1) {return false;}
			return true;
		case "SELECT":
	        for (i=0; i < object.length; i++) {
				if (object.options[i].selected && object.options[object.selectedIndex].value != 0 ) {return true;}
			}
			return false;
		case "SINGLE_VALUE_RADIO":
			if (object.checked) {return true;}
			return false;
		case "SINGLE_VALUE_CHECKBOX":
			if (object.checked) {return true;}
			return false;
		case "RADIO":
	        for (i=0; i < object.length; i++) {
				if (object[i].checked) {return true;}
			}
	    	return false;
		case "CHECKBOX":
	        for (i=0; i < object.length; i++) {
				if (object[i].checked) {return true;}
			}
	    	return false;
		case "EURO_DATE":
			var firstSlash, secondSlash, month, day, year;
			if (object.value.search(/^\d{1,2}\/\d{1,2}\/\d{1,4}$/) == -1) {return false;}
			var firstSlash = object.value.indexOf('/');
			var month = object.value.substring(0, firstSlash);
			if (!((month >= 1) && (month <= 12))) {return false;}
			var secondSlash = object.value.indexOf('/', firstSlash + 1);
			var year = object.value.substring(secondSlash+1,object.value.length);
			if (!((year >= 1900) && (year <= 2100))) {return false;}
			var day = object.value.substring(firstSlash+1, secondSlash);
			if (!form_checkDayOfMonth(year,month,day)) {return false;}
			return true;
		case "CREDIT_DATE":
		    var firstSlash, month, year;
			if (object.value.length == 0) {return false;}
			if (object.value.search(/^\d{1,2}\/\d{1,2}$/) == -1) {return false;}
			var firstSlash = object.value.indexOf('/');
			var month = object.value.substring(0, firstSlash);
			if (!((month >= 1) && (month <= 12))) {return false;}
			var year = object.value.substring(firstSlash+1,object.value.length);
			if (!((year >= 0) && (year <= 99))) {return false;}
			return true;
		case "INTEGER":
			if (object.value.length == 0) {return false;}
			else {
				if (object.value.search(/^\d+$/) == -1) {return false;}
			}
			return true;
		case "NUMBER":
			if (object.value.search(/^\-?\+?\d*\.?\d+$/) == -1) {return false;}
			return true;
		case "PHONE_NUMBER":
			if (object.value.search(/^[ \+\-\(\)\d]{5,}$/) == -1) {return false;}
			return true;
		case "CREDITCARDNUMBER":
			if (object.value.search(/^[\d| ]+$/) == -1) {return false;}
			return true;
		case "SELECTNOTZERO":
	        for (i=0; i < object.length; i++) {
				if (object.options[i].selected) {
					if(object.options[i].value != 0) {return true;}
				}
			}
			return false;
		case "NUMDATE":
			if (object.value.search(/^\-?\+?\d*\.?\d+$/) == -1) {return false;}
			if (object.value.length != 6) {return false;}
			if(object.value.substring(0,2) > 31) {return false;}
			if(object.value.substring(2,4) > 12) {return false;}
			return true;
		case "NUMTIME":
			if (object.value.search(/^\-?\+?\d*\.?\d+$/) == -1) {return false;}
			if (object.value.length != 4) {return false;}
			if(object.value.substring(0,2) > 24) {return false;}
			if(object.value.substring(2,4) > 60) {return false;}
			return true;
	}
}

function checkHaveValues (checkList) {
	loopLength = checkList.length / 3;
	for (x=0;x<loopLength;x++) {
		message = checkList[(x*3)];
		checkItem = checkList[(x*3)+1];
		type = checkList[(x*3)+2];
		if (!form_hasValue(checkItem,type)) {
			alert(message);
			if (checkItem.type == "TEXT" || checkItem.type == "PASSWORD") {
				checkItem.focus();
			}
			return false;
		}
	}
	return true;
}

function validate(formName) {
	if (!checkHaveValues(new Array(
		"<?php echo JText::_('Contact person needed');?>",formName.fio,"TEXT",
		"<?php echo JText::_('Phone number needed');?>",formName.phone,"TEXT",
		"<?php echo JText::_('Correct e-mail needed');?>",formName.email,"EMAIL")))
	{return false;}
	else {
		formName.submit();
		return true;
	}
	
}
</script>

<table cellSpacing=0 cellPadding=0 width="100%"  border=0 align=center>
<tr >
	<td colspan=4 class="tablzag2"><?php echo JText::_('Contact info');?></td>

</tr>
<tr><td colspan=4>
<table cellpadding=0 cellspacing=0 width=100% border=0>
	<tr class="tablchet" >
	  <td align=right class="tablchet">&nbsp;</td>
	  <td colspan=3 class="tablchet">&nbsp;</td>
	  </tr>
	<tr class="tablchet" >
		<td align=right width=200px class="tablchet"><?php echo JText::_('Contact person');?><span class="textwarn">*</span>:</td>
		<td colspan=3 class="tablchet"><input name="fio"   maxlength="90"  type=text value="<?php if (isset($this->contact->fio)) echo $this->contact->fio ;?>" class="form" /></td>
	</tr>
	<tr class="tablchet" >
		<td align=right width=200px class="tablchet"><?php echo JText::_('Company name');?></td>
		<td colspan=3 class="tablchet"><input name="firm"   maxlength="90" type=text class="form"  value="<?php if (isset($this->contact->firm)) echo $this->contact->firm ;?>" /></td>
	</tr>
	<tr class="tablchet" >
		<td align=right width=200px class="tablchet"><?php echo JText::_('PHONE NUMBER');?><span class="textwarn">*</span>:</td>
		<td colspan=3 class="tablchet"><input name="phone"   maxlength="60" type=text class="form" value="<?php if (isset($this->contact->phone)) echo $this->contact->phone ;?>" /></td>
	</tr>
	<tr class="tablchet" >
		<td align=right width=200px class="tablchet" ><?php echo JText::_('E-Mail');?><span class="textwarn">*</span>:</td>
		<td colspan=3 class="tablchet" ><input name="email" type=text   maxlength="60" value="<?php if (isset($this->contact->email)) echo $this->contact->email ;?>" class="form" <?php $user = JFactory::getUser(); if ($user->get('id',0) && ($this->contact->email)) echo ' READONLY ';?> /></td>
	</tr>
	<tr class="tablchet" >
		<td align=right width=200px class="tablchet"><?php echo JText::_('Comments');?></td>
		<td colspan=3 class="tablchet" ><textarea name="comments" cols="30" rows=8 class="textarea" ><?php if (isset($this->contact->comments)) echo $this->contact->comments ;?></textarea></td>
	</tr>
	<tr class="tablchet" >
		<td align=right width=200px class="tablchet"><?php echo JText::_('Send copy');?></td>
		<td colspan=3 class="tablchet" ><input name="copyemail" type="checkbox" CHECKED /></td>
	</tr>
	<tr class="tablchet" >
		<td align=right colspan=4 class="tablchet"><span class="textwarn">*</span><?php echo JText::_('Mandatory');?></td>
	</tr>
	<tr class="tablchet" >
		<td align=right width=200px class="tablchet">&nbsp;</td>
		<td colspan=3 class="tablchet" >
			<?php 
			if ($this->params->get('usecaptcha') == 1 ) {
				$dispatcher = &JDispatcher::getInstance();
				// Captcha Extention patch rev. 4.5.0 Stable
				echo '<p>';
				$dispatcher->trigger( 'onCaptchaView', array( '', 0, '', '<br />' ) ); 
				echo '</p>';				
			}
			?>
			<input type="button" class="button" name="bt1" value="<?php echo JText::_('Send order');?>" onClick="javascript:this.form.actype.value='sendorder'; validate(this.form);" />
		</td>
	</tr>
</table>
</td></tr>
</table>
