<?php
/**
* @version		$ 1.2 2009-10$
* @package		Joomla
* @subpackage	IPricecalc
* @copyright	Copyright (C) 2009 LoT studio group. All rights reserved.
* @license		The commercial licence http://www.lot-studio.ru/license-ipricecalc
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

require_once( JPATH_ADMINISTRATOR.DS.'components'.DS.'com_ipricecalc'.DS.'helpers'.DS.'orderhtml.php');

class IPricecalcViewOrder
{
	function setOrdersToolbar()
	{
		JToolBarHelper::title( JText::_( 'IPrice orders Manager' ), 'generic.png' );
		JToolBarHelper::customX( 'sendmanager', 'copy.png', 'copy_f2.png', 'Send to manager' );
		JToolBarHelper::customX( 'sendcustomer', 'copy.png', 'copy_f2.png', 'Send to customer' );
		JToolBarHelper::deleteList( '', 'remove' );
	}

	function orders( &$rows, &$pageNav, &$lists )
	{
		IPricecalcViewOrder::setOrdersToolbar();
		
		$user =& JFactory::getUser();

		//Ordering allowed ?
		$ordering = ($lists['order'] == 'ipom.orderno');

		JHTML::_('behavior.tooltip');
		?>
<script language="javascript" type="text/javascript">
<!--
		
function savetemplate( n, task ) {

    if (!task ) {
		task = 'savetemplate';
	}

	for ( var j = 0; j <= n; j++ ) {
		box = eval( "document.adminForm.cb" + j );
		if ( box ) {
			if ( box.checked == false ) {
				box.checked = true;
			}
		} else {
			alert("You cannot change the template status of orders, as an order in the list is `Checked Out`");
			return;
		}
	}
	submitform(task);
}
//-->
</script>
		
		<form action="index.php?option=com_ipricecalc" method="post" name="adminForm">

		<table>
		<tr>
			<td align="left" width="100%">
				<?php echo JText::_( 'Filter' ); ?>:
				<input type="text" name="search" id="search" value="<?php echo $lists['search'];?>" class="text_area" onchange="document.adminForm.submit();" />
				<button onclick="this.form.submit();"><?php echo JText::_( 'Go' ); ?></button>
				<button onclick="document.getElementById('search').value='';this.form.getElementById('filter_catid').value='0';this.form.getElementById('filter_state').value='';this.form.submit();"><?php echo JText::_( 'Reset' ); ?></button>
			</td>
			<td nowrap="nowrap">
			</td>
		</tr>
		</table>

			<table class="adminlist">
			<thead>
				<tr>
					<th width="10">
						<?php echo JText::_( 'Num' ); ?>
					</th>
					<th width="10" class="title">
						<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($rows); ?>);" />
					</th>
					<th width="10">
						<?php echo JHTML::_('grid.sort',  'ORDER NUM', 'ipom.orderno', @$lists['order_Dir'], @$lists['order'] ); ?>
					</th>
					<th width="5%" class="title" nowrap="nowrap">
						<?php echo JHTML::_('grid.sort',  'Order date', 'ipom.orderdate', @$lists['order_Dir'], @$lists['order'] ); ?>
					</th>
					<th class="title">
						<?php echo JHTML::_('grid.sort',   'ORDER PERSON', 'ipom.fio', @$lists['order_Dir'], @$lists['order'] ); ?>
					</th>
					<th class="title">
						<?php echo JHTML::_('grid.sort',   'ORDER COMPANY', 'ipom.firm', @$lists['order_Dir'], @$lists['order'] ); ?>
					</th>
					<th width="10%" class="title">
						<?php echo JHTML::_('grid.sort',   'E-mail', 'ipom.email', @$lists['order_Dir'], @$lists['order'] ); ?>
					</th>
					<th width="10%" class="title">
						<?php echo JHTML::_('grid.sort',   'Total amount', 'ipom.totalamount', @$lists['order_Dir'], @$lists['order'] ); ?>
					</th>
					<th nowrap="nowrap" class="title" width="5%">
						<?php echo JHTML::_('grid.sort',  'Template name', 'ipom.templatename', @$lists['order_Dir'], @$lists['order'] ); 
						$image = JHTML::_('image.administrator',  'filesave.png', '/images/', NULL, NULL, JText::_( 'Save templates' ) );
						$href = '<a href="javascript:savetemplate('.(count( $rows )-1).', \'savetemplate\')" title="'.JText::_( 'Save templates' ).'">'.$image.'</a>';
						echo $href ?>
					</th>
				</tr>
			</thead>
			<tfoot>
				<tr>
					<td colspan="11">
						<?php echo $pageNav->getListFooter(); ?>
					</td>
				</tr>
			</tfoot>
			<tbody>
			<?php
			$k = 0;
			for ($i=0, $n=count($rows); $i < $n; $i++) {
				$row = $rows[$i];

				$link 		= JRoute::_( 'index.php?option=com_ipricecalc&c=order&task=vieworder&cid='. $row->orderno );

				$checked 	= JHTML::_('grid.checkedout',   $row, $i );
				?>
				<tr class="<?php echo "row$k"; ?>">
					<td>
						<?php echo $pageNav->getRowOffset( $i ); ?>
					</td>
					<td>
						<?php echo $checked; ?>
					</td>
					<td>
					<?php
					if (JTable::isCheckedOut($user->get ('id'), $row->checked_out )) :
						echo $row->orderno;
					else :
						?>
						<span class="editlinktip hasTip" title="<?php echo JText::_( 'View order' );?>::<?php echo $row->orderno; ?>">
						<a href="<?php echo $link; ?>">
							<?php echo $row->orderno; ?></a> </span>
						<?php
					endif;
					?>
					</td>
					<td align="center">
						<?php echo JHTML::_('date',  $row->orderdate, JText::_('DATE_FORMAT_LC4') );?>
					</td>
					<td align="center">
						<?php echo $row->fio;?>
					</td>
					<td align="center">
						<?php echo $row->firm;?>
					</td>
					<td align="center">
						<?php echo $row->email;?>
					</td>
					<td align="center">
						<?php echo $row->totalamount;?>
					</td>
					<td class="title">
						<input type="text" name="templatename[]" id="templatename<?php echo $i;?>" size="15" value="<?php echo $row->templatename;?>" class="text_area" style="text-align: left" />
					</td>
					
				</tr>
				<?php
				$k = 1 - $k;
			}
			?>
			</tbody>
			</table>
		<input type="hidden" name="c" value="order" />
		<input type="hidden" name="option" value="com_ipricecalc" />
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="boxchecked" value="0" />
		<input type="hidden" name="filter_order" value="<?php echo $lists['order']; ?>" />
		<input type="hidden" name="filter_order_Dir" value="<?php echo $lists['order_Dir']; ?>" />
		<?php echo JHTML::_( 'form.token' ); ?>
		</form>
		<?php
	}
	
	function setOrderToolbar()
	{
		JToolBarHelper::title( JText::_( 'IPrice order viewing' ), 'generic.png' );
		JToolBarHelper::cancel( 'cancel' );
	}
	
	function order( $orderno)
	{
		IPricecalcViewOrder::setOrderToolbar();
//		JRequest::setVar( 'hidemainmenu', 1 );
		
		?>
		<script language="javascript" type="text/javascript">
		<!--
		function submitbutton(pressbutton) {
			var form = document.adminForm;
			if (pressbutton == 'cancel') {
				submitform( pressbutton );
				return;
			}

			// do field validation
			if ( form.name.value == "" ) {
				alert( "<?php echo JText::_( 'You must provide a name.', true ); ?>" );
			} else
			if ( form.position.value == "2" &&  form.varname.value == "" ) {
				alert( "<?php echo JText::_( 'You must provide a position name.', true ); ?>" );
			} else {
				submitform( pressbutton );
			}
		}
		//-->
		</script>
		<form action="index.php" method="post" name="adminForm">
		<?php echo getOrderHTML ($orderno);	?>

		<input type="hidden" name="c" value="order" />
		<input type="hidden" name="option" value="com_ipricecalc" />
		<input type="hidden" name="id" value="<?php echo $row->id; ?>" />
		<input type="hidden" name="cid[]" value="<?php echo $row->id; ?>" />
		<input type="hidden" name="task" value="" />
		<?php echo JHTML::_( 'form.token' ); ?>
		</form>
		<?php
	}	
	
}
?>