<?php

/**
* @version		$ 1.2 2009-10$
* @package		Joomla
* @subpackage	IPricecalc
* @copyright	Copyright (C) 2009 LoT studio group. All rights reserved.
* @license		The commercial licence http://www.lot-studio.ru/license-ipricecalc
*/

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );
jimport('joomla.application.component.view');
require_once( JPATH_ADMINISTRATOR.DS.'components'.DS.'com_ipricecalc'.DS.'tables'.DS.'ipricecalc.php');
require_once( JPATH_ADMINISTRATOR.DS.'components'.DS.'com_ipricecalc'.DS.'helpers'.DS.'calculate.php');
require_once( JPATH_ADMINISTRATOR.DS.'components'.DS.'com_ipricecalc'.DS.'helpers'.DS.'orderhtml.php');

class IPriceCalcViewBasket extends JView
{
	function display($tpl = null, $itemid = null, $contact = null, $ptask = null)
	{
		global $mainframe, $option;

		$user	  = &JFactory::getUser();
		$model	  = &$this->getModel();
		$document =& JFactory::getDocument();
		
		if ($ptask)
			$this->task = $ptask;

		$pparams = null;
		if ($itemid) {
		    $menu = & JMenu::getInstance('site');
			$menuitem = $menu->getItem($itemid);
			if ($menuitem && strpos($menuitem->link,'ipricecalc')) {
				$pparams = & $menu->getParams( $itemid );
				$globalparams = $mainframe->getPageParameters('com_ipricecalc');
				if ($globalparams) {
					$globalparams->merge($pparams);
					$pparams = $globalparams;
				}
			}
		} 
		if (!$pparams)
			$pparams = $mainframe->getPageParameters('com_ipricecalc');
		
		$catids = preg_replace("/[^0-9,]/","", $pparams->get('catpriceid'));
		$categories	= $model->getCategories( $option, $catids);
		
		if (count($categories)) {
			$dispatcher	=& JDispatcher::getInstance();
			$article =& JTable::getInstance('content');
			$article->parameters	= new JParameter( '' );
			foreach ($categories as $item) {
				$article->text			= $item->description;
				JPluginHelper::importPlugin('content');
				$results = $dispatcher->trigger('onPrepareContent', array (& $article, & $article->parameters, 0));
				$item->description = $article->text;
			}
		}
		
		$countdig = ($pparams->get('usecents','0') == '1' ? 2 : 0 );
		$salestax = (int)$pparams->get('salestax','0');
		$total = 0.00;
		$taxamount = 0.00;
		
		$curr =& JTable::getInstance('Iprice_curr', 'JTable');
		$curr->load($pparams->get('curr',''));
		
		calcAmount($categories, $curr, $countdig, $salestax, $total, $taxamount);
		
		if (!$contact && $user->id) {
			$contact->fio = $user->get('name','');
			$contact->email = $user->get('email','');
		}

		$this->assignRef('items',		$categories);
		$this->assignRef('params',		$pparams);
		$this->assignRef('contact',		$contact);
		$this->assign('itemid',	$itemid);		
		$this->assign('curr',	$curr);	
		$this->assign('total',	$total);
		$this->assign('taxamount',	$taxamount);		
		//echo $this->getOrderHTML(2);
		parent::display($tpl);
	}
	
	function getOrderHTML ($orderno) {
	    return getOrderHTML($orderno);
	}
	
	function getOrderHTMLPage ($orderno) {
	    return getOrderHTMLPage($orderno);
	}
}
