<?php

/**
* @version		$ 1.2 2009-10$
* @package		Joomla
* @subpackage	IPricecalc
* @copyright	Copyright (C) 2009 LoT studio group. All rights reserved.
* @license		The commercial licence http://www.lot-studio.ru/license-ipricecalc
*/

defined( '_JEXEC' ) or die( 'Restricted access' );

$introtext = $this->params->get('introtext','');
$headertext = $this->params->get('headertext','');
$usecart = $this->params->get('usecart','0');
$usepaging = (int)$this->params->get('usepaging','1');
$showcartbutton = (int)$this->params->get('showcartbutton','1');
$showfilter = (int)$this->params->get('showfilter','1');
$showcatfilter = (int)$this->params->get('showcatfilter','1');
$showselect = (int)$this->params->get('showselect','1');
$showorderbutton = (int)$this->params->get('showorderbutton','1');

if ($headertext) { ?>
	<table class="contentpaneopen"><tr><td class="contentheading" width="100%"><?php echo $headertext;?></td></tr></table>
<?php if (!$introtext) echo '<br/>';
}
if ($introtext) { ?>
	<table class="contentpaneopen"><tr><td valign="top"><?php echo $introtext;?></td></tr></table>
	<br/><?php 
} ?>


<form action="" name="calc_form" id="calc_form" method="post" onsubmit="return validate(this);">

<?php if (count($this->items) || $this->filter ) : ?>
<?php if ($showfilter) : ?>
<div class="ipricefilter">
	<label for="ifilter"><?php echo JText::_('Filter');?></label>
	<input type="text" maxlength="20" title="<?php echo JText::_('Filter');?>"  name="ifilter" id="ifilter" value ="<?php echo $this->filter;?>" />
	<input type="button" class="button" name="btfilter" value="<?php echo JText::_('Set filter');?>" onclick="javascript:this.form.actype.value='filter'; this.form.submit();" />
	<input type="button" class="button" name="btunfilter" value="<?php echo JText::_('Clear filter');?>" onclick="javascript:this.form.actype.value='filter';this.form.ifilter.value=''; this.form.submit();" />
</div>
<?php endif; ?>
<?php if ($showcatfilter) : ?>
<div class="ipricefilter_cat">
	<label for="secid"><?php echo JText::_('Section');?></label>
	<?php echo $this->lists['secid']; ?>
	<label for="catid"><?php echo JText::_('Category');?></label>
	<?php echo $this->lists['catid']; ?>
</div>
<?php endif; ?>
<?php endif; ?>

<?php 
	$viewtype = 1; //price
	require_once( JPATH_SITE.DS.'components'.DS.'com_ipricecalc'.DS.'templates'.DS.'default.php'); 
?>

<?php if (!count($this->items) ) {
	echo '<strong>'.JText::_('No items').'</strong>';
	
} ?>


<?php if (count($this->items) ) : 

 if (JRequest::getInt('isecid','0')) {
   $doc =& JFactory::getDocument();
   $doc->setTitle($doc->getTitle().' - '.$this->items[0]->section);
   
 }
 if (JRequest::getInt('icatid','0')) {
   $doc =& JFactory::getDocument();
   $doc->setTitle($doc->getTitle().' - '.$this->items[0]->category);
 }

?>

<br/>
<table width="100%"><tr><td align="center">
	<?php if ($usecart && $showselect && ($showcartbutton || $usepaging)) : ?>
		<input type="button" class="button"  name="bt3" value="<?php echo JText::_('Save selection');?>" onclick="javascript:this.form.actype.value='basket'; this.form.submit();" />
	<?php endif; ?>
</td><td align="center">
<?php if ($showorderbutton && $showselect) : ?>
	<?php if ($usecart) : ?>
		<input type="button" class="button"  name="bt1" value="<?php echo JText::_('make order');?>" onclick="javascript:this.form.actype.value='makeorder'; this.form.submit();" />
	<?php else : ?>
		<input type="button" class="button" onclick="javascript:if (document.getElementById('order_dat').style.display=='none') document.getElementById('order_dat').style.display=''; else document.getElementById('order_dat').style.display='none'" value="<?php echo JText::_('Make order');?>" />
	<?php endif; ?>
<?php endif; ?>
</td></tr></table>
<br/>
<?php if (!$usecart && $showselect) : ?>

<div style="display: none;" id="order_dat" name="order_dat">
<?php require_once( JPATH_SITE.DS.'components'.DS.'com_ipricecalc'.DS.'templates'.DS.'orderinfo.php');  ?>
</div>

<?php endif; ?>

<?php endif; ?>


<input type="hidden" name="view" value="price" />
<input type="hidden" name="task" value="submit" />
<input type="hidden" name="usecart" value="<?php echo $usecart ?>" />
<input type="hidden" name="filter" value="" />
<?php if ($this->itemid) : ?>
	<input type="hidden" name="itemid" value="<?php echo $this->itemid?>" />
<?php endif;

if ($usepaging) : ?>

  <table width="100%">
    <tr>
      <td valign="top" align="center"><?php echo $this->pagination->getPagesLinks();?></td>
    </tr>
	<?php if ((int)$this->params->get('showpagenum','1')) : ?>
	<tr>
		<td valign="top" align="center">
			<?php echo $this->pagination->getPagesCounter(); ?>
		</td>
	</tr>
	<?php endif; ?>
	
  </table>
  
<?php endif; ?>

</form>