<?php
/**
* @version		$ 1.2 2009-10$
* @package		Joomla
* @subpackage	IPricecalc
* @copyright	Copyright (C) 2009 LoT studio group. All rights reserved.
* @license		The commercial licence http://www.lot-studio.ru/license-ipricecalc
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

class IPricecalcViewCurr
{
	function setItemsToolbar()
	{
		JToolBarHelper::title( JText::_( 'IPrice currency Manager' ), 'generic.png' );
		JToolBarHelper::deleteList();
		JToolBarHelper::editListX();
		JToolBarHelper::addNewX();
		JToolBarHelper::preferences('com_ipricecalc', '500');
		JToolBarHelper::help( 'screen.ipricecalc' );
	}

	function Currency( &$rows, &$pageNav, &$lists )
	{
		IPricecalcViewCurr::setItemsToolbar();
		
		$user =& JFactory::getUser();

		//Ordering allowed ?
		$ordering = ($lists['order'] == 'currcode');

		JHTML::_('behavior.tooltip');
		?>
		<form action="index.php?option=com_ipricecalc" method="post" name="adminForm">

		<table>
		<tr>
			<td align="left" width="100%">
				<?php echo JText::_( 'Filter' ); ?>:
				<input type="text" name="search" id="search" value="<?php echo $lists['search'];?>" class="text_area" onchange="document.adminForm.submit();" />
				<button onclick="this.form.submit();"><?php echo JText::_( 'Go' ); ?></button>
				<button onclick="document.getElementById('search').value='';this.form.submit();"><?php echo JText::_( 'Reset' ); ?></button>
			</td>
		</tr>
		</table>

			<table class="adminlist">
			<thead>
				<tr>
					<th width="10">
						<?php echo JText::_( 'Num' ); ?>
					</th>
					<th width="10" class="title">
						<input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo count($rows); ?>);" />
					</th>
					<th class="title">
						<?php echo JHTML::_('grid.sort',  'Currency code', 'currcode', @$lists['order_Dir'], @$lists['order'] ); ?>
					</th>
					<th width="10%" class="title">
						<?php echo JHTML::_('grid.sort',   'Exchange rate', 'rate', @$lists['order_Dir'], @$lists['order'] ); ?>
					</th>
					<th width="10%" class="title">
						<?php echo JHTML::_('grid.sort',   'Currency symbol', 'symbol', @$lists['order_Dir'], @$lists['order'] ); ?>
					</th>
					<th width="10%" class="title">
						<?php echo JHTML::_('grid.sort',   'Update date', 'currdate', @$lists['order_Dir'], @$lists['order'] ); ?>
					</th>
				</tr>
			</thead>
			<tfoot>
				<tr>
					<td colspan="11">
						<?php echo $pageNav->getListFooter(); ?>
					</td>
				</tr>
			</tfoot>
			<tbody>
			<?php
			$k = 0;
			for ($i=0, $n=count($rows); $i < $n; $i++) {
				$row = $rows[$i];

				$link 		= JRoute::_( 'index.php?option=com_ipricecalc&c=curr&task=edit&cid='. $row->currcode );

				$checked 	= JHTML::_('grid.checkedout',   $row, $i );
				?>
				<tr class="<?php echo "row$k"; ?>">
					<td>
						<?php echo $pageNav->getRowOffset( $i ); ?>
					</td>
					<td>
						<?php if ($row->currcode!='RUR' && $row->currcode!='USD' && $row->currcode!='EUR') echo $checked; ?>
					</td>
					<td>
					<?php
					if (JTable::isCheckedOut($user->get ('id'), $row->checked_out )) :
						echo $row->currcode;
					else :
						?>
						<span class="editlinktip hasTip" title="<?php echo JText::_( 'Edit currency item' );?>::<?php echo $row->currcode; ?>">
						<a href="<?php echo $link; ?>">
							<?php echo $row->currcode; ?></a> </span>
						<?php
					endif;
					?>
					</td>
					<td align="right">
						<?php echo $row->rate; ?></a>
					</td>
					<td align="center">
						<?php echo $row->symbol; ?>
					</td>
					<td align="center">
						<?php echo $row->currdate; ?>
					</td>
				</tr>
				<?php
				$k = 1 - $k;
			}
			?>
			</tbody>
			</table>
		<input type="hidden" name="c" value="curr" />
		<input type="hidden" name="option" value="com_ipricecalc" />
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="boxchecked" value="0" />
		<input type="hidden" name="filter_order" value="<?php echo $lists['order']; ?>" />
		<input type="hidden" name="filter_order_Dir" value="<?php echo $lists['order_Dir']; ?>" />
		<?php echo JHTML::_( 'form.token' ); ?>
		</form>
		<?php
		
	}

	function setItemToolbar()
	{
		$task = JRequest::getVar( 'task', '', 'method', 'string');

		JToolBarHelper::title( $task == 'add' ? JText::_( 'Currency item' ) . ': <small><small>[ '. JText::_( 'New' ) .' ]</small></small>' : JText::_( 'Currency item' ) . ': <small><small>[ '. JText::_( 'Edit' ) .' ]</small></small>', 'generic.png' );
		JToolBarHelper::save( 'save' );
		JToolBarHelper::apply('apply');
		JToolBarHelper::cancel( 'cancel' );
		JToolBarHelper::help( 'screen.items.edit' );
	}

	function CurrencyItem( &$row, &$lists, &$params )
	{
		IPricecalcViewCurr::setItemToolbar();
		JRequest::setVar( 'hidemainmenu', 1 );

		JHTML::_('behavior.tooltip');
		jimport('joomla.html.pane');
        // TODO: allowAllClose should default true in J!1.6, so remove the array when it does.
		$pane = &JPane::getInstance('sliders', array('allowAllClose' => true));
		
		JFilterOutput::objectHTMLSafe( $row, ENT_QUOTES, 'description' );
		$cparams = JComponentHelper::getParams ('com_media');
		if ($row->currcode)
			$edit = 1;
		else
			$edit = 0;
		
		?>
		<script language="javascript" type="text/javascript">
		<!--
		function submitbutton(pressbutton) {
			var form = document.adminForm;
			if (pressbutton == 'cancel') {
				submitform( pressbutton );
				return;
			}

			// do field validation
			if ( form.currcode.value == "" ) {
				alert( "<?php echo JText::_( 'You must provide a currency code.', true ); ?>" );
			} else if ( form.rate.value == 0 ) {
				alert( "<?php echo JText::_( 'You must provide exchange rate', true ); ?>" );
			} else {
				submitform( pressbutton );
			}
		}
		//-->
		</script>

		<form action="index.php" method="post" name="adminForm">

		<div class="col width-60">
			<fieldset class="adminform">
				<legend><?php echo JText::_( 'Details' ); ?></legend>

				<table class="admintable">
				<tr>
					<td class="key">
						<label for="currcode">
							<?php echo JText::_( 'Currency code' ); ?>:
						</label>
					</td>
					<td >
						<input class="inputbox" type="text" name="currcode" id="currcode" size="3" maxlength="3" value="<?php echo $row->currcode; ?>" />
					</td>
				</tr>
				<tr>
					<td class="key">
						<label for="rate">
							<?php echo JText::_( 'Exchange rate' ); ?>:
						</label>
					</td>
					<td>
						<input class="inputbox" type="text" name="rate" id="rate" size="10" maxlength="10" value="<?php echo $row->rate; ?>" />
					</td>
				</tr>
				<tr>
					<td class="key">
						<label for="symbol">
							<?php echo JText::_( 'Currency symbol' ); ?>:
						</label>
					</td>
					<td>
						<input class="inputbox" type="text" name="symbol" id="symbol" size="20" maxlength="20" value="<?php echo $row->symbol; ?>" />
					</td>
				</tr>
				<tr>
					<td class="key">
						<label for="symplace">
							<?php echo JText::_( 'Symbol position' ); ?>:
						</label>
					</td>
					<td>
					  <SELECT size="1" name="symplace" id="symplace">
					      <OPTION value="0" <?php if ($row->symplace==0) echo ' SELECTED';?> ><?php echo JText::_('Right');?></OPTION>
					      <OPTION value="1" <?php if ($row->symplace!=0) echo ' SELECTED';?> ><?php echo JText::_('Left');?></OPTION>
					  </SELECT>
					</td>
				</tr>
				<tr>
					<td class="key">
						<label for="usespace">
							<?php echo JText::_( 'Use space between symbol and amount' ); ?>:
						</label>
					</td>
					<td>
					  <SELECT size="1" name="usespace" id="usespace">
					      <OPTION value="0" <?php if ($row->usespace==0) echo ' SELECTED';?> ><?php echo JText::_('No');?></OPTION>
					      <OPTION value="1" <?php if ($row->usespace!=0) echo ' SELECTED';?> ><?php echo JText::_('Yes');?></OPTION>
					  </SELECT>
					</td>
				</tr>
				</table>
			</fieldset>

		</div>

		<div class="clr"></div>
		<input type="hidden" name="c" value="curr" />
		<input type="hidden" name="option" value="com_ipricecalc" />
		<input type="hidden" name="id" value="<?php echo $row->currcode; ?>" />
		<input type="hidden" name="cid[]" value="<?php echo $row->currcode; ?>" />
		<input type="hidden" name="task" value="" />
		<input type="hidden" name="edit" value="<?php echo $edit; ?>" />		
		<?php echo JHTML::_( 'form.token' ); ?>
		</form>
		<?php
	}
}
?>